// ************************************************************************************************************
// Author: Marcin Załęczny
// Release Date: 2010-11-08
// Licence: The GNU Lesser General Public License, version 3.0 (LGPLv3)
// ************************************************************************************************************
#include "mzXpsPagePrintTicket.h"
#include "mzFileUtils.h"

CXpsPagePrintTicket::CXpsPagePrintTicket(INT pagenum, CString xmlVersion, CString xmlEncoding)
    : CXpsPrintTicket(xmlVersion, xmlEncoding), _pagenum(pagenum)
{
    this->setRealClassName(L"CXpsPagePrintTicket");
}

CXpsPagePrintTicket::~CXpsPagePrintTicket() {
}

VOID CXpsPagePrintTicket::saveXmlFile(CString fname) {
    AddPathPart(fname, CString(L"Page") + this->_pagenum + L"_PT.xml");
    CXpsPrintTicket::saveXmlFile(fname);
}
